PDA

View Full Version : [all variants] No graphics support for ATI Radeon Mobility HD 5000 series



castironpants
October 11th, 2010, 04:59 AM
So Ubuntu had been working great in Lucid, and when I upgraded to Maverick the support for my graphics card stopped. It has the proper driver ("ATI/AMD Proprietary FGLRX graphics driver") active and fglrx, fglrx-amdccle and fglrx-modaliases are all at 2:8.780-0ubuntu2. I also have the xorg radeon package installed. Yet, whenever I try to enable desktop effects (to get compiz to work) it says that Desktop effects could not be enabled.

Mark Phelps
October 11th, 2010, 03:20 PM
Did you unistall the fglrx driver BEFORE you did the upgrade? If not, that's probably the source of your problems. In that case, remove the fglrx driver stuff and reinstall. Should then be OK.

However, did see some traffic regarding fglrx problems with 10.10 indicating that the one from the repos is bad and you need to get one from the ppa's. Sorry, don't have the ppa specification.

castironpants
October 11th, 2010, 03:38 PM
This was from a fresh install.

I think you're referring to the x-swat ppa, and that only made it worse. Couldn't load, had to upgrade to the standard ones from the command line because it couldn't detect any screens.

That is unless there's another ppa I don't know about.

castironpants
October 11th, 2010, 04:30 PM
Even after purging everything, installing the 8.73 "TESTING USE ONLY" (from packages) and doing a "sudo aticonfig --initial" and reboot, I STILL can't enable desktop effects! What gives?

anilbpai
January 9th, 2011, 04:33 PM
Every am suffering from the same problem... Waiting to see Compiz Effects on laptop :(